Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974024 - Channel configuration for Rules implementation does not work
Channel configuration for Rules implementation does not work
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Rob Cernich
Jiri Pechanec
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 06:07 EDT by Jiri Pechanec
Modified: 2014-06-16 19:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you choose the channel configuration for a Rules implementation and add a new channel you cannot modify references or classnames. This is due to the list of column editors being out of synchronization.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 13:03:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1713 Major Closed Channel configuration for BPM implementation does not work 2014-06-16 19:53:00 EDT

  None (edit)
Description Jiri Pechanec 2013-06-13 06:07:55 EDT
When I choose channel configuration for a Rules implementation and add a new channel then there are these issues
 - cannot modify Reference
 - cannot modify classname
 - operation offers selection from Channel implementations (default SwitchYardServiceChannel) but this setting should in fact go to classname. Reference should be a string field
Comment 1 Brian Fitzpatrick 2013-06-21 17:19:02 EDT
I'm currently unable to duplicate these issues. Please try with a 1.0 build.
Comment 2 Jiri Pechanec 2013-08-19 00:54:03 EDT
Re-opening - will verify in ER2
Comment 3 Jiri Pechanec 2013-09-17 06:44:17 EDT
Issue still present in tooling from http://www.qa.jboss.com/binaries/RHDS/updates/integration/kepler/integration-stack/aggregate/7.0.0.Beta2/

Cross-checked with sbunciak, same issue
Comment 4 Brian Fitzpatrick 2013-09-17 08:40:20 EDT
I'll take another look. Thanks guys.
Comment 5 Rob Cernich 2013-09-17 09:17:18 EDT
Hey Brian, notice that the description mention rules, while the summary mentions bpm.  Could you verify that a channel can be configured and modified for both bpm and rules?  Thanks.
Comment 6 Brian Fitzpatrick 2013-09-17 11:58:44 EDT
Will do.
Comment 7 JBoss JIRA Server 2013-09-17 11:59:04 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-1713 to Coding In Progress
Comment 8 JBoss JIRA Server 2013-09-17 12:00:32 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1713

Issue on the Rules implementation/Channel side was the list of column editors, which were out of whack. I think a column must have been added at some point without a corresponding editor, which threw everything off.

Have that fixed and am now looking at the BPM side to see if it's an issue there per Rob's suggestions.
Comment 9 JBoss JIRA Server 2013-09-17 12:01:39 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1713

Not an issue on the BPM side. Will wrap up and submit PR.
Comment 10 JBoss JIRA Server 2013-09-17 12:05:39 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1713

Adds missing column editor
Comment 11 JBoss JIRA Server 2013-09-26 22:04:06 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1713

pushed
Comment 15 Jiri Pechanec 2013-10-10 04:16:40 EDT
Still present in ER4
Comment 16 Rob Cernich 2013-10-10 10:33:24 EDT
This change is not in the 1.1.0.M2 tooling build.  Updated the milestone to ER5.
Comment 17 Andrej Podhradsky 2014-01-22 06:18:27 EST
Verified with JBDS-IS 7.0.0.CR2
Comment 18 JBoss JIRA Server 2014-06-16 19:53:02 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1713 to Closed

Note You need to log in before you can comment on or make changes to this bug.